VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Member Functions | Protected Types | Protected Attributes | List of all members
CDropSource Class Reference
Version 4.0

drop source More...

Inheritance diagram for CDropSource:

## Public Member Functions
| CDropSource ()
| CDropSource (const void *buffer, uint32_t bufferSize, Type type)
bool | add (const void *buffer, uint32_t bufferSize, Type type)
uint32_t | getCount () const final
uint32_t | getDataSize (uint32_t index) const final
Type | getDataType (uint32_t index) const final
uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const final
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | beforeDelete ()

## Static Public Member Functions
static SharedPointer < IDataPackage > | create (const void *buffer, uint32_t bufferSize, Type type)

## Protected Types
using | DropEntryVector = std::vector< CDropEntry >

## Protected Attributes
DropEntryVector | entries

## Additional Inherited Members
Public Types inherited from IDataPackage
enum | Type { kFilePath = 0, kText, kBinary, kError = -1 }
Protected Member Functions inherited from IDataPackage
| IDataPackage ()

## Detailed Description

drop source

## Member Typedef Documentation

using DropEntryVector = std::vector<CDropEntry>
| protected

## Constructor & Destructor Documentation

CDropSource | ( |  | ) |

CDropSource | ( | const void * | buffer,
|  | uint32_t | bufferSize,
|  | Type | type
| ) |  |

## Member Function Documentation

bool add | ( | const void * | buffer,
|  | uint32_t | bufferSize,
|  | Type | type
| ) |  |

SharedPointer< IDataPackage > create | ( | const void * | buffer,
|  | uint32_t | bufferSize,
|  | Type | type
| ) |  |
| static

uint32_t getCount | ( |  | ) | const
| final virtual

Implements IDataPackage.

uint32_t getData | ( | uint32_t | index,
|  | const void *& | buffer,
|  | Type & | type
| ) |  | const
| final virtual

Implements IDataPackage.

uint32_t getDataSize | ( | uint32_t | index | ) | const
| final virtual

Implements IDataPackage.

CDropSource::Type getDataType | ( | uint32_t | index | ) | const
| final virtual

Implements IDataPackage.

## Member Data Documentation

DropEntryVector entries
| protected

The documentation for this class was generated from the following files:

- cdropsource.h
- cdropsource.cpp